#include <stdio.h>
#include <math.h>
#include <string.h>

int main(){
	
	int i, len, max, poz, p=0, i1 = 0, k = 0, p1, comp;
	char n[100], n1[100];
	
	gets(n);
	
	strcpy(n1, n);
	
	len = strlen(n);
	
	strrev(n1);
	
	for(i = 0;i<len;i++){
		
		while(i1<len){
			if(n[i] == n[i1]) p++;
			if(p>max){
				max = p;
				poz = n[i];
			}
			i1++;
		}
	}
	
	comp = strcmp(n1, n);
		
	
	if(comp == 0) printf("1");
	 	else printf("%d\n", p);
	
	
	
	return 0;
}